## darkplaces 0~20110628+svn11231

=== debian/changelog ===
darkplaces (0~20110628+svn11231-2) unstable; urgency=low

  * Don't compile SSE code, or the software rasterizer (which requires SSE2),
    on non-x86

 -- Simon McVittie <smcv@debian.org>  Mon, 18 Jul 2011 23:08:10 +0100

darkplaces (0~20110628+svn11231-1) unstable; urgency=low

  * Initial release to Debian under this name (Closes: #319599)
  * Initial Debian patchset:
    - link against libjpeg, zlib, libvorbis, modplug, libode, libtheora,
      libogg, libpng, curl, freetype2 "properly" instead of loading them
      with dlopen, to have better dependency information; use their headers,
      instead of inlining a simplified version
    - disable loading d0_blind_id, d0_rijndael, OffscreenGecko libraries,
      rather than dlopening a potentially-incompatible version
    - fix some typos picked up by Lintian
    - import a patch from the nexuiz package (which is actually an old
      copy of DarkPlaces) to compile on kFreeBSD

 -- Simon McVittie <smcv@debian.org>  Fri, 15 Jul 2011 17:36:05 +0100
