=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

distro := $(shell lsb_release -is)
debian_version := $(shell dpkg-parsechangelog -c1 | sed -ne 's/^Version: //p')

CFLAGS := $(shell dpkg-buildflags --get CFLAGS) \
	-Wall \
	-Wextra \
	-Wstrict-prototypes \
	-Wsign-compare \
	-Wnested-externs \
	-Wpointer-arith \
	-Wformat-security \
	-Winit-self \
	-Wno-missing-field-initializers \
	-Wno-unused-parameter \
	-fno-strict-aliasing \
	$(NULL)

# yes, the svn rev. and build type are in LDFLAGS - builddate.c is compiled
# and linked without using CFLAGS
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) \
	-DSVNREVISION=$(debian_version) \
	-DBUILDTYPE=$(distro) \
	$(NULL)

ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
TARGETS = sdl-release sv-release
else
TARGETS = sdl-debug sv-debug
endif

override_dh_auto_build:
	$(MAKE) \
		CFLAGS_RELEASE="$(CFLAGS)" \
		CFLAGS_DEBUG="$(CFLAGS)" \
		LDFLAGS_RELEASE="$(LDFLAGS)" \
		LDFLAGS_DEBUG="$(LDFLAGS)" \
		LINK_TO_CURL=1 \
		LINK_TO_FREETYPE2=1 \
		LINK_TO_LIBJPEG=1 \
		LINK_TO_LIBVORBIS=1 \
		LINK_TO_MODPLUG=1 \
		LINK_TO_ODE=1 \
		LINK_TO_PNG=1 \
		LINK_TO_THEORA=1 \
		LINK_TO_ZLIB=1 \
		DISABLE_OFFSCREEN_GECKO=1 \
		DISABLE_D0_BLIND_ID=1 \
		DISABLE_D0_RIJNDAEL=1 \
		STRIP=": do not strip" \
		$(TARGETS)

override_dh_auto_install:
	install -d debian/darkplaces/usr/games
	install darkplaces-sdl debian/darkplaces/usr/games/darkplaces
	install -d debian/darkplaces-server/usr/games
	install darkplaces-dedicated debian/darkplaces-server/usr/games/darkplaces-server

override_dh_auto_test:
	:

override_dh_strip:
	dh_strip --dbg-package=darkplaces-dbg

# ---------------------------------------------------------------------------

ORIG_REL = 0~20110628
ORIG_REV = 11231
# SUFFIX can be made non-empty for re-repacks
ORIG_SUFFIX =

ORIG_VER := ${ORIG_REL}+svn${ORIG_REV}${ORIG_SUFFIX}
ORIG_EXPORT := -r ${ORIG_REV} svn://svn.icculus.org/twilight/trunk/darkplaces

get-orig-source:
	svn export ${ORIG_EXPORT} darkplaces-${ORIG_VER}.orig
	rm -rf darkplaces-${ORIG_VER}.orig/snd_3dras*
	tar -zcvf darkplaces_${ORIG_VER}.orig.tar.gz darkplaces-${ORIG_VER}.orig
	rm -rf darkplaces-${ORIG_VER}.orig
