## darkplaces 0~20110628+svn11619

=== debian/changelog ===
darkplaces (0~20110628+svn11619-3) unstable; urgency=low

  * Apply upstream r11796 to fix certain teleport triggers, notably
    making Quake multiplayer map dm6 playable again (Closes: #688359)
  * Apply security-hardening CPPFLAGS in CFLAGS since darkplaces can be used
    by nexuiz-server and quake-server, which are network-exposed, and its
    makefile does not respect external CPPFLAGS

 -- Simon McVittie <smcv@debian.org>  Fri, 12 Oct 2012 09:44:26 +0100

darkplaces (0~20110628+svn11619-2) unstable; urgency=low

  * Conditionalize more references to the software rasterizer, fixing
    more FTBFSs on non-x86 (Closes: #656602)
  * Use the png_jmpbuf macro, the system's definition of png_uint_32
    and the real libpng version number, to be compatible with both
    libpng 1.2 and 1.5, hopefully (Closes: #650594)

 -- Simon McVittie <smcv@debian.org>  Sat, 21 Jan 2012 22:44:37 +0000

darkplaces (0~20110628+svn11619-1) unstable; urgency=low

  * New upstream snapshot r11619, as recommended by the Xonotic developers
    for Xonotic 0.5
    - remove patch to disable OffscreenGecko, which has been removed upstream
    - refresh patches
  * Mention "Nexuiz Classic", not "Nexuiz", in the package description
    (Nexuiz upstream has retroactively renamed what we package as nexuiz
    to Nexuiz Classic), and also mention Xonotic, the Free fork of Nexuiz
    Classic
  * Remove a duplicate patch which is not actually applied
  * Improve the description of the two type-safety-related patches to explain
    why they're applied
  * Bump debhelper compat level to 9

 -- Simon McVittie <smcv@debian.org>  Fri, 20 Jan 2012 10:32:16 +0000
