=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Simon McVittie <smcv@debian.org>
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 9),
                libcurl4-gnutls-dev,
                libfreetype6-dev,
                libjpeg-dev,
@@ -30,7 +30,7 @@
  DarkPlaces is a graphically-intensive engine for Quake and related games, with
  improved visual effects and lighting and many features for mods.
  It can be used to play various games based on the Quake engine, such as
- Nexuiz, OpenQuartz, and Quake itself.
+ Xonotic, Nexuiz Classic, OpenQuartz, and Quake itself.
  .
  This is the client version of the engine, with a SDL GUI.
  .
@@ -47,7 +47,7 @@
  DarkPlaces is a graphically-intensive engine for Quake and related games, with
  improved visual effects and lighting and many features for mods.
  It can be used to play various games based on the Quake engine, such as
- Nexuiz, OpenQuartz, and Quake itself.
+ Xonotic, Nexuiz Classic, OpenQuartz, and Quake itself.
  .
  This is the dedicated server version, with no GUI.
  .
