=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 debian_version := $(shell dpkg-parsechangelog -c1 | sed -ne 's/^Version: //p')
 
 CFLAGS := $(shell dpkg-buildflags --get CFLAGS) \
+	$(shell dpkg-buildflags --get CPPFLAGS) \
 	-Wall \
 	-Wextra \
 	-Wstrict-prototypes \
@@ -69,7 +70,7 @@
 # ---------------------------------------------------------------------------
 
 ORIG_REL = 0~20110628
-ORIG_REV = 11231
+ORIG_REV = 11619
 # SUFFIX can be made non-empty for re-repacks
 ORIG_SUFFIX =
