## darkplaces 0~20110628+svn11805

=== debian/changelog ===
darkplaces (0~20110628+svn11805-1) unstable; urgency=low

  [ David Bate ]
  * Imported Upstream version 0~20110628+svn11805, as recommended for
    Xonotic 0.6.0
    - refresh patches
    - remove upstream patch r11796
  * Add myself to uploaders
  * Update to standards version 3.9.4 (no changes necessary)

  [ Simon McVittie ]
  * Update debian/copyright
  * Add a patch to disable attempts to load libavw, an apparently unreleased
    avcodec wrapper
  * Add a patch to "poison" Sys_LoadLibrary to make sure we don't
    accidentally bypass proper shared library versioning and dependencies,
    since in Quake (unlike Quake III) it isn't used for game modules

 -- Simon McVittie <smcv@debian.org>  Sat, 25 May 2013 16:07:42 +0100
