=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Simon McVittie <smcv@debian.org>
+Uploaders: Simon McVittie <smcv@debian.org>,
+	   David Bate <david@bate.org.uk>
 Build-Depends: debhelper (>= 9),
                libcurl4-gnutls-dev,
                libfreetype6-dev,
@@ -17,7 +18,7 @@
                lsb-release,
                pkg-config,
                zlib1g-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/git/pkg-games/darkplaces.git
 Vcs-Browser: http://git.debian.org/?p=pkg-games/darkplaces.git;a=summary
 Homepage: http://icculus.org/twilight/darkplaces/
