=== debian/rules ===
--- 
+++ 
@@ -70,7 +70,7 @@
 # ---------------------------------------------------------------------------
 
 ORIG_REL = 0~20110628
-ORIG_REV = 11619
+ORIG_REV = 11805
 # SUFFIX can be made non-empty for re-repacks
 ORIG_SUFFIX =
