## darkplaces 0~20130304%2Bsvn11952

=== debian/changelog ===
darkplaces (0~20130304+svn11952-2) unstable; urgency=medium

  [ David Bate ]
  * Refresh debian/patches following git-buildpackage's export rewrite
  * Add a patch to disable gpu skinning of skeletal models.
    (Closes: #729101, thanks Benjamin Redelings)
  * Update to standards version 3.9.5 (no changes necessary)
  * Updated debian/copyright

  [ Simon McVittie ]
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Sun, 12 Jan 2014 23:47:17 +0000

darkplaces (0~20130304+svn11952-1) unstable; urgency=low

  [ David Bate ]
  * Imported upstream version 0~20130304+svn11952, as recommended for
    Xonotic 0.7.0
    - refresh patches
    - updated debian/copyright

  [ Simon McVittie ]
  * Provide quake-engine, quake-engine-server - we already followed
    everything required for that by my Quake mini-policy, except providing
    the actual virtual package. (Closes: #721031, thanks Fabian Greffrath)
  * Update README.Debian:
    - nexuiz, nexuiz-server now use this package
    - quake, quake-server are available in contrib, and are the recommended
      way to play Quake in Debian
    - describe how to manipulate the alternatives entries
  * Fix attribution on kFreeBSD support patch, it was really contributed by
    Cyril Brulebois
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 25 Sep 2013 10:19:53 +0100

darkplaces (0~20110628+svn11805-2) unstable; urgency=low

  [ David Bate ]
  * Set DISABLE_AVW=1 in debian/rules so that debian/patches/0022... takes
    effect.

  [ Simon McVittie ]
  * Add CPPFLAGS to LDFLAGS_*, because the LDFLAGS_* are used to compile C
    (albeit only builddate.c)
  * Use DEB_*_MAINT_APPEND to set the CFLAGS, etc.
  * Canonicalize Vcs-* (Lintian)

 -- Simon McVittie <smcv@debian.org>  Thu, 06 Jun 2013 08:25:30 +0100
