## darkplaces 0~20130304+svn11952

=== debian/control ===
--- 
+++ 
@@ -18,15 +18,16 @@
                lsb-release,
                pkg-config,
                zlib1g-dev
-Standards-Version: 3.9.4
-Vcs-Git: git://git.debian.org/git/pkg-games/darkplaces.git
-Vcs-Browser: http://git.debian.org/?p=pkg-games/darkplaces.git;a=summary
+Standards-Version: 3.9.5
+Vcs-Git: git://anonscm.debian.org/pkg-games/darkplaces.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/darkplaces.git;a=summary
 Homepage: http://icculus.org/twilight/darkplaces/
 
 Package: darkplaces
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Provides: quake-engine
 Description: Game engine for Quake and similar 3D first person shooter games
  DarkPlaces is a graphically-intensive engine for Quake and related games, with
  improved visual effects and lighting and many features for mods.
@@ -44,6 +45,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Provides: quake-engine-server
 Description: Standalone server for Quake-based games
  DarkPlaces is a graphically-intensive engine for Quake and related games, with
  improved visual effects and lighting and many features for mods.
