=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/default.mk
 
 %:
 	dh $@
@@ -6,8 +8,7 @@
 distro := $(shell lsb_release -is)
 debian_version := $(shell dpkg-parsechangelog -c1 | sed -ne 's/^Version: //p')
 
-CFLAGS := $(shell dpkg-buildflags --get CFLAGS) \
-	$(shell dpkg-buildflags --get CPPFLAGS) \
+DEB_CFLAGS_MAINT_APPEND := \
 	-Wall \
 	-Wextra \
 	-Wstrict-prototypes \
@@ -21,9 +22,7 @@
 	-fno-strict-aliasing \
 	$(NULL)
 
-# yes, the svn rev. and build type are in LDFLAGS - builddate.c is compiled
-# and linked without using CFLAGS
-LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) \
+DEB_CPPFLAGS_MAINT_APPEND := \
 	-DSVNREVISION=$(debian_version) \
 	-DBUILDTYPE=$(distro) \
 	$(NULL)
@@ -34,12 +33,14 @@
 TARGETS = sdl-debug sv-debug
 endif
 
+# LDFLAGS_* are used to compile builddate.c, so yes, they do need to include
+# the CPPFLAGS.
 override_dh_auto_build:
 	$(MAKE) \
-		CFLAGS_RELEASE="$(CFLAGS)" \
-		CFLAGS_DEBUG="$(CFLAGS)" \
-		LDFLAGS_RELEASE="$(LDFLAGS)" \
-		LDFLAGS_DEBUG="$(LDFLAGS)" \
+		CFLAGS_RELEASE="$(CPPFLAGS) $(CFLAGS)" \
+		CFLAGS_DEBUG="$(CPPFLAGS) $(CFLAGS)" \
+		LDFLAGS_RELEASE="$(CPPFLAGS) $(CFLAGS) $(LDFLAGS)" \
+		LDFLAGS_DEBUG="$(CPPFLAGS) $(CFLAGS) $(LDFLAGS)" \
 		LINK_TO_CURL=1 \
 		LINK_TO_FREETYPE2=1 \
 		LINK_TO_LIBJPEG=1 \
@@ -52,6 +53,7 @@
 		DISABLE_OFFSCREEN_GECKO=1 \
 		DISABLE_D0_BLIND_ID=1 \
 		DISABLE_D0_RIJNDAEL=1 \
+		DISABLE_AVW=1 \
 		STRIP=": do not strip" \
 		$(TARGETS)
 
@@ -69,12 +71,20 @@
 
 # ---------------------------------------------------------------------------
 
-ORIG_REL = 0~20110628
-ORIG_REV = 11805
+# The upstream release
+ORIG_REL = 0~20130304
+# The svn revision corresponding to that release (look in ChangeLog)
+ORIG_REL_REV = 11925
+# The svn revision we actually want ("+svnXXXX" if different)
+ORIG_REV = 11952
 # SUFFIX can be made non-empty for re-repacks
 ORIG_SUFFIX =
 
-ORIG_VER := ${ORIG_REL}+svn${ORIG_REV}${ORIG_SUFFIX}
+ifeq ($(ORIG_REL_REV),$(ORIG_REV))
+  ORIG_VER := ${ORIG_REL}${ORIG_SUFFIX}
+else
+  ORIG_VER := ${ORIG_REL}+svn${ORIG_REV}${ORIG_SUFFIX}
+endif
 ORIG_EXPORT := -r ${ORIG_REV} svn://svn.icculus.org/twilight/trunk/darkplaces
 
 get-orig-source:
