## darkplaces 0~20140513%2Bsvn12208

=== debian/changelog ===
darkplaces (0~20140513+svn12208-7) unstable; urgency=medium

  * darkplaces: Explicitly depend on libgl1. In this game engine it's
    loaded at runtime rather than being linked in the usual way,
    so it isn't in ${shlibs:Depends}.
  * Standards-Version: 4.1.3 (no changes needed)
  * Use https URL for Homepage
  * d/gbp.conf: Use DEP-14 branch names debian/master, upstream/latest
  * Change Vcs-* to point to salsa.debian.org

 -- Simon McVittie <smcv@debian.org>  Tue, 16 Jan 2018 09:20:34 +0000

darkplaces (0~20140513+svn12208-6) unstable; urgency=medium

  * Use correct Format URL for machine-readable copyright
  * Standards-Version: 4.1.1 (no changes needed)
  * Set Rules-Requires-Root to no

 -- Simon McVittie <smcv@debian.org>  Sat, 04 Nov 2017 14:16:09 +0000

darkplaces (0~20140513+svn12208-5) unstable; urgency=medium

  * Increase debhelper compat level to 10 for parallel build
  * Fix another misspelled word (mimicking)

 -- Simon McVittie <smcv@debian.org>  Sun, 18 Jun 2017 17:42:31 +0100

darkplaces (0~20140513+svn12208-4) unstable; urgency=medium

  [ Stephen Kitt ]
  * Drop libmodplug-dev from the build-dependencies, it's no longer used.

  [ Simon McVittie ]
  * Drop -dbg package, rely on automatic -dbgsym instead

 -- Simon McVittie <smcv@debian.org>  Thu, 12 Jan 2017 12:14:43 +0000

darkplaces (0~20140513+svn12208-3) unstable; urgency=medium

  * Switch Vcs-Git to https (see #810378)
  * Standards-Version: 3.9.8 (no changes needed)
  * Normalize packaging via wrap-and-sort -abst
  * Enable PIE and bindnow hardening

 -- Simon McVittie <smcv@debian.org>  Fri, 09 Sep 2016 10:11:59 +0100

darkplaces (0~20140513+svn12208-2) unstable; urgency=medium

  * debian/gbp.conf: stop forcing gzip compression
  * debian/rules: re-order so that DEB_CPPFLAGS_MAINT_APPEND take effect
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Tue, 05 May 2015 11:14:30 +0100

darkplaces (0~20140513+svn12208-1) experimental; urgency=medium

  * Switch Vcs-Browser to cgit and https
  * debian/gbp.conf: disable patch numbers, to reduce diff churn when
    gbp-pq patches are re-ordered
  * New upstream release, corresponding to Xonotic 0.8.0 + bug fixes
    - drop patches for "make LINK_TO_LIBJPEG=1" and "make LINK_TO_ZLIB=1",
      upstream have implemented the same thing differently
    - drop patch for LINK_TO_MODPLUG, support for modplug was removed upstream
    - redo patches for other library linking to use the DP_LINK_FOO convention
      established by upstream
    - stop excluding snd_3dras* from the tarball: they appear to have
      been contributed to DarkPlaces by the author of the 3DRAS library,
      so there's no particular reason to worry about their license
  * debian/copyright: change to "Files: *" form to make lintian happier
  * Avoid timestamps in the binary, for reproducible builds
  * Build against SDL 2
  * Standards-Version: 3.9.6 (no changes needed)

 -- Simon McVittie <smcv@debian.org>  Thu, 02 Apr 2015 10:35:37 +0100
