=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/vendor.mk

DEB_CFLAGS_MAINT_APPEND = \
	-Wall \
	-Wextra \
	-Wstrict-prototypes \
	-Wsign-compare \
	-Wnested-externs \
	-Wpointer-arith \
	-Wformat-security \
	-Winit-self \
	-Wno-missing-field-initializers \
	-Wno-unused-parameter \
	-fno-strict-aliasing \
	$(NULL)

DEB_CPPFLAGS_MAINT_APPEND = \
	-DSVNREVISION=$(DEB_VERSION) \
	-DBUILDTYPE=$(DEB_VENDOR) \
	-DNO_BUILD_TIMESTAMPS \
	$(NULL)

export DEB_BUILD_MAINT_OPTIONS = hardening=+pie,+bindnow
include /usr/share/dpkg/default.mk

ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
TARGETS = sdl2-release sv-release
else
TARGETS = sdl2-debug sv-debug
endif

%:
	dh $@

# LDFLAGS_* are used to compile builddate.c, so yes, they do need to include
# the CPPFLAGS.
override_dh_auto_build:
	$(MAKE) \
		CFLAGS_RELEASE="$(CPPFLAGS) $(CFLAGS)" \
		CFLAGS_DEBUG="$(CPPFLAGS) $(CFLAGS)" \
		LDFLAGS_RELEASE="$(CPPFLAGS) $(CFLAGS) $(LDFLAGS)" \
		LDFLAGS_DEBUG="$(CPPFLAGS) $(CFLAGS) $(LDFLAGS)" \
		DP_LINK_CURL=shared \
		DP_LINK_FREETYPE2=shared \
		DP_LINK_JPEG=shared \
		DP_LINK_VORBIS=shared \
		DP_LINK_ODE=shared \
		DP_LINK_PNG=shared\
		DP_LINK_THEORA=shared \
		DP_LINK_ZLIB=shared \
		DISABLE_OFFSCREEN_GECKO=1 \
		DP_LINK_CRYPTO=never \
		DP_LINK_CRYPTO_RIJNDAEL=never \
		DP_LINK_AVW=never \
		STRIP=": do not strip" \
		$(TARGETS)

override_dh_auto_install:
	install -d debian/darkplaces/usr/games
	install darkplaces-sdl debian/darkplaces/usr/games/darkplaces
	install -d debian/darkplaces-server/usr/games
	install darkplaces-dedicated debian/darkplaces-server/usr/games/darkplaces-server

override_dh_auto_test:
	:

override_dh_strip:
	dh_strip --dbgsym-migration='darkplaces-dbg (<< 0~20140513+svn12208-4~)'

# ---------------------------------------------------------------------------

# The upstream release
ORIG_REL = 0~20140513
# The svn revision corresponding to that release (look in ChangeLog)
ORIG_REL_REV = 12076
# The svn revision we actually want ("+svnXXXX" if different)
ORIG_REV = 12208
# SUFFIX can be made non-empty for re-repacks
ORIG_SUFFIX =

ifeq ($(ORIG_REL_REV),$(ORIG_REV))
  ORIG_VER := ${ORIG_REL}${ORIG_SUFFIX}
else
  ORIG_VER := ${ORIG_REL}+svn${ORIG_REV}${ORIG_SUFFIX}
endif
ORIG_EXPORT := -r ${ORIG_REV} svn://svn.icculus.org/twilight/trunk/darkplaces

get-orig-source:
	svn export ${ORIG_EXPORT} darkplaces-${ORIG_VER}.orig
	tar -zcvf darkplaces_${ORIG_VER}.orig.tar.gz darkplaces-${ORIG_VER}.orig
	rm -rf darkplaces-${ORIG_VER}.orig
