## darkplaces 0~20140513+svn12208

=== debian/control ===
Source: darkplaces
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Simon McVittie <smcv@debian.org>,
 David Bate <david@bate.org.uk>,
Build-Depends:
 debhelper (>= 9),
 libcurl4-gnutls-dev,
 libfreetype6-dev,
 libjpeg-dev,
 libmodplug-dev,
 libode-dev,
 libogg-dev,
 libpng-dev,
 libsdl2-dev,
 libtheora-dev,
 libvorbis-dev,
 lsb-release,
 pkg-config,
 zlib1g-dev,
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-games/darkplaces.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/darkplaces.git
Homepage: http://icculus.org/twilight/darkplaces/

Package: darkplaces
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 quake-engine,
Description: Game engine for Quake and similar 3D first person shooter games
 DarkPlaces is a graphically-intensive engine for Quake and related games, with
 improved visual effects and lighting and many features for mods.
 It can be used to play various games based on the Quake engine, such as
 Xonotic, Nexuiz Classic, OpenQuartz, and Quake itself.
 .
 This is the client version of the engine, with a SDL GUI.
 .
 This engine isn't useful without game data: to get a playable game, install
 nexuiz or another suitable set of game data. It is typically used via a
 script that launches it with a particular data set, such as the ones
 found in the "quake" and "nexuiz" packages.

Package: darkplaces-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
 darkplaces (= ${binary:Version}) | darkplaces-server (= ${binary:Version}),
 ${misc:Depends},
Description: debug symbols for the DarkPlaces game engine
 DarkPlaces is an OpenGL-only engine for Quake and related games, with
 greatly enhanced effects and lighting and many features for mods.
 .
 This package contains debug symbols for the DarkPlaces engine,
 which can be used to analyze crashes in games that use that engine.

Package: darkplaces-server
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 quake-engine-server,
Description: Standalone server for Quake-based games
 DarkPlaces is a graphically-intensive engine for Quake and related games, with
 improved visual effects and lighting and many features for mods.
 It can be used to play various games based on the Quake engine, such as
 Xonotic, Nexuiz Classic, OpenQuartz, and Quake itself.
 .
 This is the dedicated server version, with no GUI.
 .
 This engine isn't useful without game data: to get a usable server, install
 nexuiz or another suitable set of game data. It is typically used via a
 script that launches it with a particular data set, such as the ones
 found in the "quake-server" and "nexuiz-server" packages.
