=== debian/rules ===
--- 
+++ 
@@ -68,7 +68,7 @@
 	:
 
 override_dh_strip:
-	dh_strip --dbgsym-migration='darkplaces-dbg (<< 0~20140513+svn12208-4~)'
+	dh_strip --dbg-package=darkplaces-dbg
 
 # ---------------------------------------------------------------------------
