## darkplaces 0~20180412~beta1

=== debian/changelog ===
darkplaces (0~20180412~beta1-2) unstable; urgency=medium

  * Be cross-compilable:
    - Use dh_auto_build to set cross-compilation-friendly CC,
      PKG_CONFIG, etc.
    - Explicitly set DP_MAKE_TARGET to linux (which seems to be
      suitable for GNU/anything) instead of choosing a target based
      on uname
    - Set DP_MACHINE to $(DEB_HOST_GNU_CPU) instead of choosing based
      on uname -m. Perfect equivalence is not necessary since the only
      uses of DP_MACHINE are comparisons with x86_64 and i?86; unlike
      yquake2 and ioquake3, darkplaces does not use this value in
      on-disk paths or in saved games.
    Based on a patch from Helmut Grohne. (Closes: #901337)
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Tue, 12 Jun 2018 11:36:39 +0100

darkplaces (0~20180412~beta1-1) experimental; urgency=medium

  * New upstream beta release
  * d/patches: Refresh
  * d/patches: Use $PKG_CONFIG from environment in preference to
    pkg-config, for better cross-compiling support (similar to #900217)

 -- Simon McVittie <smcv@debian.org>  Fri, 08 Jun 2018 10:50:11 +0100

darkplaces (0~20170829~beta1-1) experimental; urgency=medium

  * Standards-Version: 4.1.4 (no changes needed)
  * d/watch: Scan for upstream beta releases since there has been no
    non-beta release since 2014
    - Pass -v to unzip to make mk-origtargz fail, since the repacking
      we need (unpack darkplacesenginesource${version}.zip from the
      downloaded zip file, then repack that) cannot currently be
      expressed as uscan or mk-origtargz options
  * d/rules: Replace get-orig-source with a package-specific target
    to download and repack upstream tarballs
  * New upstream beta release
    - Refresh patches
  * Use debhelper compat level 11

 -- Simon McVittie <smcv@debian.org>  Mon, 30 Apr 2018 08:23:50 +0100
