=== debian/control ===
--- 
+++ 
@@ -6,11 +6,10 @@
  Simon McVittie <smcv@debian.org>,
  David Bate <david@bate.org.uk>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11~),
  libcurl4-gnutls-dev,
  libfreetype6-dev,
  libjpeg-dev,
- libmodplug-dev,
  libode-dev,
  libogg-dev,
  libpng-dev,
@@ -20,14 +19,16 @@
  lsb-release,
  pkg-config,
  zlib1g-dev,
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/darkplaces.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/darkplaces.git
-Homepage: http://icculus.org/twilight/darkplaces/
+Rules-Requires-Root: no
+Standards-Version: 4.1.4
+Vcs-Git: https://salsa.debian.org/games-team/darkplaces.git
+Vcs-Browser: https://salsa.debian.org/games-team/darkplaces
+Homepage: https://icculus.org/twilight/darkplaces/
 
 Package: darkplaces
 Architecture: any
 Depends:
+ libgl1,
  ${misc:Depends},
  ${shlibs:Depends},
 Provides:
@@ -44,20 +45,6 @@
  nexuiz or another suitable set of game data. It is typically used via a
  script that launches it with a particular data set, such as the ones
  found in the "quake" and "nexuiz" packages.
-
-Package: darkplaces-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Depends:
- darkplaces (= ${binary:Version}) | darkplaces-server (= ${binary:Version}),
- ${misc:Depends},
-Description: debug symbols for the DarkPlaces game engine
- DarkPlaces is an OpenGL-only engine for Quake and related games, with
- greatly enhanced effects and lighting and many features for mods.
- .
- This package contains debug symbols for the DarkPlaces engine,
- which can be used to analyze crashes in games that use that engine.
 
 Package: darkplaces-server
 Architecture: any
