=== debian/rules ===
--- 
+++ 
@@ -27,9 +27,9 @@
 include /usr/share/dpkg/default.mk
 
 ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
-TARGETS = sdl2-release sv-release
+TARGETS = sdl-release sv-release
 else
-TARGETS = sdl2-debug sv-debug
+TARGETS = sdl-debug sv-debug
 endif
 
 %:
@@ -38,11 +38,13 @@
 # LDFLAGS_* are used to compile builddate.c, so yes, they do need to include
 # the CPPFLAGS.
 override_dh_auto_build:
-	$(MAKE) \
+	dh_auto_build -- \
 		CFLAGS_RELEASE="$(CPPFLAGS) $(CFLAGS)" \
 		CFLAGS_DEBUG="$(CPPFLAGS) $(CFLAGS)" \
 		LDFLAGS_RELEASE="$(CPPFLAGS) $(CFLAGS) $(LDFLAGS)" \
 		LDFLAGS_DEBUG="$(CPPFLAGS) $(CFLAGS) $(LDFLAGS)" \
+		DP_MAKE_TARGET=linux \
+		DP_MACHINE=$(DEB_HOST_GNU_CPU) \
 		DP_LINK_CURL=shared \
 		DP_LINK_FREETYPE2=shared \
 		DP_LINK_JPEG=shared \
@@ -68,27 +70,17 @@
 	:
 
 override_dh_strip:
-	dh_strip --dbg-package=darkplaces-dbg
+	dh_strip --dbgsym-migration='darkplaces-dbg (<< 0~20140513+svn12208-4~)'
 
-# ---------------------------------------------------------------------------
+USCAN_DESTDIR ?= ../build-area
+USCAN_OPTS ?=
 
-# The upstream release
-ORIG_REL = 0~20140513
-# The svn revision corresponding to that release (look in ChangeLog)
-ORIG_REL_REV = 12076
-# The svn revision we actually want ("+svnXXXX" if different)
-ORIG_REV = 12208
-# SUFFIX can be made non-empty for re-repacks
-ORIG_SUFFIX =
-
-ifeq ($(ORIG_REL_REV),$(ORIG_REV))
-  ORIG_VER := ${ORIG_REL}${ORIG_SUFFIX}
-else
-  ORIG_VER := ${ORIG_REL}+svn${ORIG_REV}${ORIG_SUFFIX}
-endif
-ORIG_EXPORT := -r ${ORIG_REV} svn://svn.icculus.org/twilight/trunk/darkplaces
-
-get-orig-source:
-	svn export ${ORIG_EXPORT} darkplaces-${ORIG_VER}.orig
-	tar -zcvf darkplaces_${ORIG_VER}.orig.tar.gz darkplaces-${ORIG_VER}.orig
-	rm -rf darkplaces-${ORIG_VER}.orig
+# Change the version in d/changelog before invoking this.
+maintainer-get-orig-source:
+	set -e; \
+	set -x; \
+	destdir="$$(mktemp -d)"; \
+	uscan --destdir="$$destdir" --download --safe --verbose --download-current-version; \
+	unzip -d "$$destdir" "$$destdir"/darkplacesengine*.zip 'darkplacesenginesource*.zip'; \
+	mk-origtargz --repack --compression=xz -C "$(USCAN_DESTDIR)" "$$destdir"/darkplacesenginesource*.zip; \
+	rm -fr "$$destdir"
