=== debian/watch ===
version=3

opts="unzipopt=-v,uversionmangle=s/^/0~/;s/(alpha|beta|rc)/~$1/,dversionmangle=s/\+svn.*//" \
http://icculus.org/twilight/darkplaces/files/darkplacesengine([\d]+(?:(?:alpha|beta|rc)\d+)?).zip
