## darkplaces 0~20180908~beta1

=== debian/changelog ===
darkplaces (0~20180908~beta1-7build1) resolute; urgency=medium

  * Rebuild against latest libtheora

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 02 Nov 2025 11:18:29 -0500

darkplaces (0~20180908~beta1-7) unstable; urgency=medium

  * d/rules: Continue to build using C17 standard with GNU extensions.
    This older codebase is not compatible with gcc-15's default
    C23 standards compliance making true and false into keywords,
    and switching to C23 bool risks subtle ABI issues. Until there
    is a C23-compatible release or a more active maintainer who can
    nominate a stable snapshot to use, return to gcc-14's default C
    standard. (Closes: #1096500)
  * d/control: Remove Rules-Requires-Root, unnecessary since trixie
  * d/control: Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Fri, 05 Sep 2025 12:32:07 +0100

darkplaces (0~20180908~beta1-6) unstable; urgency=medium

  * d/control: Build-depend on pkgconf instead of transitional pkg-config
  * Standards-Version: 4.7.0 (no changes required)
  * d/upstream/metadata: Add
  * d/patches: Use references to commits on the upstream Github repo

 -- Simon McVittie <smcv@debian.org>  Mon, 11 Nov 2024 11:21:38 +0000

darkplaces (0~20180908~beta1-5) unstable; urgency=medium

  * d/control: Replace obsolete B-D libfreetype6-dev with libfreetype-dev
  * Update standards version to 4.6.2 (no changes needed)
  * Update lintian override syntax

 -- Simon McVittie <smcv@debian.org>  Sun, 22 Jan 2023 12:53:15 +0000

darkplaces (0~20180908~beta1-4) unstable; urgency=medium

  * Redo system libpng patch with simpler setjmp handling.
    The careful handling of setjmp is no longer needed since we stopped
    using libpng 1.2, and can cause crashes in more recent toolchains,
    possibly because the intermediate function hides the use of setjmp
    from gcc and causes it to use optimizations that aren't safe across a
    setjmp. (Closes: #992871)
  * debian/copyright: use spaces rather than tabs to start continuation
    lines
  * Fix field name case in debian/copyright (Upstream-name => Upstream-Name)
  * Update standards version to 4.6.0 (no changes required)
  * Bump debhelper compat level from 12 to 13

 -- Simon McVittie <smcv@debian.org>  Fri, 01 Oct 2021 10:58:03 +0100

darkplaces (0~20180908~beta1-3) unstable; urgency=medium

  * d/gbp.conf: Rename development branch to debian/latest
  * Standards-Version: 4.5.1 (no changes required)
  * d/watch: Use format version 4 and https

 -- Simon McVittie <smcv@debian.org>  Sun, 20 Dec 2020 15:51:12 +0000

darkplaces (0~20180908~beta1-2) unstable; urgency=medium

  * Release to unstable
  * d/salsa-ci.yml: Request standard CI on salsa.debian.org
  * d/rules: Remove migration from darkplaces-dbg, which was not in
    stretch or buster
  * Standards-Version: 4.4.0 (no changes required)
  * Use debhelper-compat 12

 -- Simon McVittie <smcv@debian.org>  Tue, 16 Jul 2019 10:22:44 +0100

darkplaces (0~20180908~beta1-1) experimental; urgency=medium

  * New upstream release
    - Rebase patch series
    - d/copyright: Remove details of deleted files
  * d/p/Don-t-build-SSE-only-software-rasterizer-on-non-x86-.patch:
    Remove, no longer needed since the software rasterizer has been
    removed entirely
  * d/patches:
    Apply post-release fixes (from Rudolf Polzer of Xonotic) up to
    svn r12474, aka git-svn commit v20180908beta1-10-g4d192dbaa
    - In particular fix crash on startup on Intel hardware
  * Standards-Version: 4.3.0 (no changes required)
  * d/NEWS, d/control: Document the removal of OpenGL 1.x, OpenGL ES
    1.x and the software renderer, and suggest alternatives for very
    old hardware

 -- Simon McVittie <smcv@debian.org>  Tue, 07 May 2019 14:07:35 +0100
