=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
  Simon McVittie <smcv@debian.org>,
  David Bate <david@bate.org.uk>,
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 13),
  libcurl4-gnutls-dev,
- libfreetype6-dev,
+ libfreetype-dev,
  libjpeg-dev,
  libode-dev,
  libogg-dev,
@@ -17,10 +17,9 @@
  libtheora-dev,
  libvorbis-dev,
  lsb-release,
- pkg-config,
+ pkgconf,
  zlib1g-dev,
-Rules-Requires-Root: no
-Standards-Version: 4.1.4
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/games-team/darkplaces.git
 Vcs-Browser: https://salsa.debian.org/games-team/darkplaces
 Homepage: https://icculus.org/twilight/darkplaces/
@@ -39,7 +38,8 @@
  It can be used to play various games based on the Quake engine, such as
  Xonotic, Nexuiz Classic, OpenQuartz, and Quake itself.
  .
- This is the client version of the engine, with a SDL GUI.
+ This is the client version of the engine, with a SDL GUI. It requires
+ a graphics driver supporting at least OpenGL 3.2 or OpenGL ES 2.0.
  .
  This engine isn't useful without game data: to get a playable game, install
  nexuiz or another suitable set of game data. It is typically used via a
