=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,7 @@
 	-Wno-missing-field-initializers \
 	-Wno-unused-parameter \
 	-fno-strict-aliasing \
+	-std=gnu17 \
 	$(NULL)
 
 DEB_CPPFLAGS_MAINT_APPEND = \
@@ -69,9 +70,6 @@
 override_dh_auto_test:
 	:
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='darkplaces-dbg (<< 0~20140513+svn12208-4~)'
-
 USCAN_DESTDIR ?= ../build-area
 USCAN_OPTS ?=
